
_LOG:

;Skywire_AVR.c,46 :: 		void LOG( char *txt )
;Skywire_AVR.c,48 :: 		char *ptr = txt;
; ptr start address is: 18 (R18)
	MOVW       R18, R2
; ptr end address is: 18 (R18)
;Skywire_AVR.c,50 :: 		while( *ptr )
L_LOG0:
; ptr start address is: 18 (R18)
	MOVW       R30, R18
	LD         R16, Z
	TST        R16
	BRNE       L__LOG15
	JMP        L_LOG1
L__LOG15:
;Skywire_AVR.c,51 :: 		Soft_UART_Write( *ptr++ );
	MOVW       R30, R18
	LD         R16, Z
	PUSH       R19
	PUSH       R18
	PUSH       R3
	PUSH       R2
	MOV        R2, R16
	CALL       _Soft_UART_Write+0
	POP        R2
	POP        R3
	POP        R18
	POP        R19
	MOVW       R16, R18
	SUBI       R16, 255
	SBCI       R17, 255
	MOVW       R18, R16
; ptr end address is: 18 (R18)
	JMP        L_LOG0
L_LOG1:
;Skywire_AVR.c,52 :: 		}
L_end_LOG:
	RET
; end of _LOG

_system_init:

;Skywire_AVR.c,67 :: 		void system_init( void )
;Skywire_AVR.c,69 :: 		DDA7_bit = 1;
	PUSH       R2
	PUSH       R3
	PUSH       R4
	PUSH       R5
	PUSH       R6
	PUSH       R7
	PUSH       R8
	PUSH       R9
	IN         R27, DDA7_bit+0
	SBR        R27, BitMask(DDA7_bit+0)
	OUT        DDA7_bit+0, R27
;Skywire_AVR.c,70 :: 		DDA7_bit = 1;
	IN         R27, DDA7_bit+0
	SBR        R27, BitMask(DDA7_bit+0)
	OUT        DDA7_bit+0, R27
;Skywire_AVR.c,72 :: 		Soft_UART_Init( &PORTA, 1, 4, 9600, 0 );
	LDI        R27, 128
	MOV        R6, R27
	LDI        R27, 37
	MOV        R7, R27
	LDI        R27, 0
	MOV        R8, R27
	MOV        R9, R27
	LDI        R27, 4
	MOV        R5, R27
	LDI        R27, 1
	MOV        R4, R27
	LDI        R27, #lo_addr(PORTA+0)
	MOV        R2, R27
	LDI        R27, hi_addr(PORTA+0)
	MOV        R3, R27
	LDI        R27, 0
	PUSH       R27
	CALL       _Soft_UART_Init+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Skywire_AVR.c,73 :: 		UART1_Init( 115200 );
	IN         R27, U2X_bit+0
	SBR        R27, BitMask(U2X_bit+0)
	OUT        U2X_bit+0, R27
	LDI        R27, 8
	OUT        UBRRL+0, R27
	LDI        R27, 0
	OUT        UBRRH+0, R27
	CALL       _UART1_Init+0
;Skywire_AVR.c,74 :: 		TWI_Init( 100000 );
	IN         R27, TWPS0_bit+0
	CBR        R27, BitMask(TWPS0_bit+0)
	OUT        TWPS0_bit+0, R27
	IN         R27, TWPS1_bit+0
	CBR        R27, BitMask(TWPS1_bit+0)
	OUT        TWPS1_bit+0, R27
	LDI        R27, 32
	OUT        TWBR+0, R27
	CALL       _TWI_Init+0
;Skywire_AVR.c,75 :: 		TCCR1A = 0x80;
	LDI        R27, 128
	OUT        TCCR1A+0, R27
;Skywire_AVR.c,76 :: 		TCCR1B = 0x09;
	LDI        R27, 9
	OUT        TCCR1B+0, R27
;Skywire_AVR.c,77 :: 		OCR1AH = 0x1F;
	LDI        R27, 31
	OUT        OCR1AH+0, R27
;Skywire_AVR.c,78 :: 		OCR1AL = 0x3F;
	LDI        R27, 63
	OUT        OCR1AL+0, R27
;Skywire_AVR.c,79 :: 		OCIE1A_bit = 1;
	IN         R27, OCIE1A_bit+0
	SBR        R27, BitMask(OCIE1A_bit+0)
	OUT        OCIE1A_bit+0, R27
;Skywire_AVR.c,80 :: 		UCSRB |= ( 1 << RXCIE );
	IN         R27, UCSRB+0
	SBR        R27, 128
	OUT        UCSRB+0, R27
;Skywire_AVR.c,81 :: 		SREG  |= ( 1 << SREG_I );
	IN         R16, SREG+0
	ORI        R16, 128
	OUT        SREG+0, R16
;Skywire_AVR.c,82 :: 		LOG( "\r\n_______________________________\r\n System Initialized\r\n" );
	LDI        R27, #lo_addr(?lstr1_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr1_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _LOG+0
;Skywire_AVR.c,83 :: 		}
L_end_system_init:
	POP        R9
	POP        R8
	POP        R7
	POP        R6
	POP        R5
	POP        R4
	POP        R3
	POP        R2
	RET
; end of _system_init

_skywire_power_on:

;Skywire_AVR.c,88 :: 		void skywire_power_on( void )
;Skywire_AVR.c,90 :: 		SKYWIRE_EN = 0;
	PUSH       R2
	PUSH       R3
	IN         R27, PORTA7_bit+0
	CBR        R27, BitMask(PORTA7_bit+0)
	OUT        PORTA7_bit+0, R27
;Skywire_AVR.c,91 :: 		Delay_ms( 5000 );
	LDI        R18, 203
	LDI        R17, 236
	LDI        R16, 133
L_skywire_power_on2:
	DEC        R16
	BRNE       L_skywire_power_on2
	DEC        R17
	BRNE       L_skywire_power_on2
	DEC        R18
	BRNE       L_skywire_power_on2
	NOP
;Skywire_AVR.c,92 :: 		SKYWIRE_EN = 1;
	IN         R27, PORTA7_bit+0
	SBR        R27, BitMask(PORTA7_bit+0)
	OUT        PORTA7_bit+0, R27
;Skywire_AVR.c,93 :: 		Delay_ms( 3000 );
	LDI        R18, 122
	LDI        R17, 193
	LDI        R16, 130
L_skywire_power_on4:
	DEC        R16
	BRNE       L_skywire_power_on4
	DEC        R17
	BRNE       L_skywire_power_on4
	DEC        R18
	BRNE       L_skywire_power_on4
	NOP
	NOP
;Skywire_AVR.c,94 :: 		LOG( "\r\nSkywire Initialized\r\n" );
	LDI        R27, #lo_addr(?lstr2_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr2_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _LOG+0
;Skywire_AVR.c,95 :: 		}
L_end_skywire_power_on:
	POP        R3
	POP        R2
	RET
; end of _skywire_power_on

_rsp_handler:

;Skywire_AVR.c,100 :: 		void rsp_handler( char *rsp )
;Skywire_AVR.c,102 :: 		char tmp[ 25 ] = { 0 };
	PUSH       R2
	PUSH       R3
	PUSH       R4
	PUSH       R5
	PUSH       R6
;Skywire_AVR.c,104 :: 		LOG( "Response : \r\n" );
	PUSH       R3
	PUSH       R2
	LDI        R27, #lo_addr(?lstr3_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr3_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _LOG+0
	POP        R2
	POP        R3
;Skywire_AVR.c,105 :: 		LOG( rsp );
	PUSH       R3
	PUSH       R2
	CALL       _LOG+0
;Skywire_AVR.c,106 :: 		LOG( "\r\n" );
	LDI        R27, #lo_addr(?lstr4_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr4_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _LOG+0
	POP        R2
	POP        R3
;Skywire_AVR.c,107 :: 		if( !strncmp( "\r\nRING", rsp, 6 ) )
	LDI        R27, 6
	MOV        R6, R27
	MOVW       R4, R2
	LDI        R27, #lo_addr(?lstr5_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr5_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _strncmp+0
	MOV        R27, R16
	OR         R27, R17
	BREQ       L__rsp_handler19
	JMP        L_rsp_handler6
L__rsp_handler19:
;Skywire_AVR.c,108 :: 		measure_f = true;
	LDI        R27, 1
	STS        _measure_f+0, R27
L_rsp_handler6:
;Skywire_AVR.c,109 :: 		}
L_end_rsp_handler:
	POP        R6
	POP        R5
	POP        R4
	POP        R3
	POP        R2
	RET
; end of _rsp_handler

_callerid_handler:

;Skywire_AVR.c,114 :: 		void callerid_handler( char *rsp )
;Skywire_AVR.c,119 :: 		tmp_s = strchr( rsp, '\"' );
	PUSH       R2
	PUSH       R3
	PUSH       R4
	PUSH       R5
	PUSH       R6
	PUSH       R7
	LDI        R27, 34
	MOV        R4, R27
	CALL       _strchr+0
; tmp_s start address is: 18 (R18)
	MOVW       R18, R16
;Skywire_AVR.c,120 :: 		tmp_e = strchr( tmp_s + 1, '\"' );
	SUBI       R16, 255
	SBCI       R17, 255
	LDI        R27, 34
	MOV        R4, R27
	MOVW       R2, R16
	CALL       _strchr+0
;Skywire_AVR.c,121 :: 		strncpy( caller_id, tmp_s, tmp_e - tmp_s + 1 );
	SUB        R16, R18
	SBC        R17, R19
	SUBI       R16, 255
	SBCI       R17, 255
	MOVW       R6, R16
	MOVW       R4, R18
; tmp_s end address is: 18 (R18)
	LDI        R27, #lo_addr(_caller_id+0)
	MOV        R2, R27
	LDI        R27, hi_addr(_caller_id+0)
	MOV        R3, R27
	CALL       _strncpy+0
;Skywire_AVR.c,122 :: 		}
L_end_callerid_handler:
	POP        R7
	POP        R6
	POP        R5
	POP        R4
	POP        R3
	POP        R2
	RET
; end of _callerid_handler

_measure_temp:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 4
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;Skywire_AVR.c,127 :: 		void measure_temp( void )
;Skywire_AVR.c,130 :: 		uint8_t tmp_data[ 2 ] = { 0x00 };
	PUSH       R2
	LDI        R27, 0
	STD        Y+0, R27
	LDI        R27, 0
	STD        Y+1, R27
;Skywire_AVR.c,132 :: 		TWI_Start();
	CALL       _TWI_Start+0
;Skywire_AVR.c,133 :: 		TWI_Write( ( 0x48 << 1 ) | 0x00 );
	LDI        R27, 144
	MOV        R2, R27
	CALL       _TWI_Write+0
;Skywire_AVR.c,134 :: 		TWI_Write( 0x00 );
	CLR        R2
	CALL       _TWI_Write+0
;Skywire_AVR.c,135 :: 		TWI_Stop();
	CALL       _TWI_Stop+0
;Skywire_AVR.c,136 :: 		TWI_Start();
	CALL       _TWI_Start+0
;Skywire_AVR.c,137 :: 		TWI_Write( ( 0x48 << 1 ) | 0x01 );
	LDI        R27, 145
	MOV        R2, R27
	CALL       _TWI_Write+0
;Skywire_AVR.c,138 :: 		tmp_data[ 0 ] = TWI_Read( 1 );
	MOVW       R16, R28
	STD        Y+2, R16
	STD        Y+3, R17
	LDI        R27, 1
	MOV        R2, R27
	CALL       _TWI_Read+0
	LDD        R17, Y+2
	LDD        R18, Y+3
	MOV        R30, R17
	MOV        R31, R18
	ST         Z, R16
;Skywire_AVR.c,139 :: 		tmp_data[ 1 ] = TWI_Read( 0 );
	MOVW       R16, R28
	SUBI       R16, 255
	SBCI       R17, 255
	STD        Y+2, R16
	STD        Y+3, R17
	CLR        R2
	CALL       _TWI_Read+0
	LDD        R17, Y+2
	LDD        R18, Y+3
	MOV        R30, R17
	MOV        R31, R18
	ST         Z, R16
;Skywire_AVR.c,140 :: 		TWI_Stop();
	CALL       _TWI_Stop+0
;Skywire_AVR.c,142 :: 		raw_temp = ( ( tmp_data[ 0 ] << 8 ) | tmp_data[ 1 ] ) >> 4;
	MOVW       R20, R28
	MOVW       R30, R20
	LD         R16, Z
	MOV        R19, R16
	CLR        R18
	MOVW       R30, R20
	ADIW       R30, 1
	LD         R16, Z
	LDI        R17, 0
	OR         R16, R18
	OR         R17, R19
	LSR        R17
	ROR        R16
	LSR        R17
	ROR        R16
	LSR        R17
	ROR        R16
	LSR        R17
	ROR        R16
; raw_temp start address is: 20 (R20)
	MOVW       R20, R16
;Skywire_AVR.c,144 :: 		if( raw_temp & ( 1 << 11 ) )
	SBRS       R17, 3
	JMP        L__measure_temp13
;Skywire_AVR.c,145 :: 		raw_temp |= 0xF800;
	MOVW       R16, R20
	ORI        R16, 0
	ORI        R17, 248
	MOVW       R20, R16
; raw_temp end address is: 20 (R20)
	JMP        L_measure_temp7
L__measure_temp13:
;Skywire_AVR.c,144 :: 		if( raw_temp & ( 1 << 11 ) )
;Skywire_AVR.c,145 :: 		raw_temp |= 0xF800;
L_measure_temp7:
;Skywire_AVR.c,147 :: 		temperature = ( float )( raw_temp * 0.0625 );
; raw_temp start address is: 20 (R20)
	MOVW       R16, R20
	LDI        R18, 0
	SBRC       R21, 7
	LDI        R18, 255
	MOV        R19, R18
	CALL       _float_slong2fp+0
; raw_temp end address is: 20 (R20)
	LDI        R20, 0
	LDI        R21, 0
	LDI        R22, 128
	LDI        R23, 61
	CALL       _float_fpmul1+0
	STS        _temperature+0, R16
	STS        _temperature+1, R17
	STS        _temperature+2, R18
	STS        _temperature+3, R19
;Skywire_AVR.c,148 :: 		}
L_end_measure_temp:
	POP        R2
	ADIW       R28, 3
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _measure_temp

_reply_to_caller:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SUBI       R28, 60
	SBCI       R29, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;Skywire_AVR.c,153 :: 		void reply_to_caller( void )
;Skywire_AVR.c,155 :: 		char tmp[ 30 ] = { 0 };
	PUSH       R2
	PUSH       R3
	PUSH       R4
	PUSH       R5
	PUSH       R6
	PUSH       R7
	LDI        R30, #lo_addr(?ICSreply_to_caller_tmp_L0+0)
	LDI        R31, hi_addr(?ICSreply_to_caller_tmp_L0+0)
	MOVW       R26, R28
	LDI        R24, 60
	LDI        R25, 1
	CALL       ___CC2DW+0
;Skywire_AVR.c,156 :: 		char cmd_content[ 30 ] = { 0 };                                             // Send SMS command
;Skywire_AVR.c,157 :: 		char reply_content[ 256 ] = { 0 };                                          // SMS content
;Skywire_AVR.c,159 :: 		strcat( cmd_content, "AT+CMGS=" );
	MOVW       R16, R28
	SUBI       R16, 226
	SBCI       R17, 255
	LDI        R27, #lo_addr(?lstr6_Skywire_AVR+0)
	MOV        R4, R27
	LDI        R27, hi_addr(?lstr6_Skywire_AVR+0)
	MOV        R5, R27
	MOVW       R2, R16
	CALL       _strcat+0
;Skywire_AVR.c,160 :: 		strcat( cmd_content, caller_id );
	MOVW       R16, R28
	SUBI       R16, 226
	SBCI       R17, 255
	LDI        R27, #lo_addr(_caller_id+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_caller_id+0)
	MOV        R5, R27
	MOVW       R2, R16
	CALL       _strcat+0
;Skywire_AVR.c,161 :: 		strcat( reply_content, "Temperature : " );
	MOVW       R16, R28
	SUBI       R16, 196
	SBCI       R17, 255
	LDI        R27, #lo_addr(?lstr7_Skywire_AVR+0)
	MOV        R4, R27
	LDI        R27, hi_addr(?lstr7_Skywire_AVR+0)
	MOV        R5, R27
	MOVW       R2, R16
	CALL       _strcat+0
;Skywire_AVR.c,162 :: 		FloatToStr( temperature, tmp );
	MOVW       R16, R28
	MOVW       R6, R16
	LDS        R2, _temperature+0
	LDS        R3, _temperature+1
	LDS        R4, _temperature+2
	LDS        R5, _temperature+3
	CALL       _FloatToStr+0
;Skywire_AVR.c,163 :: 		strcat( reply_content, Ltrim( tmp ) );
	MOVW       R16, R28
	MOVW       R2, R16
	CALL       _Ltrim+0
	MOVW       R18, R28
	SUBI       R18, 196
	SBCI       R19, 255
	MOVW       R4, R16
	MOVW       R2, R18
	CALL       _strcat+0
;Skywire_AVR.c,164 :: 		strcat( reply_content, " C" );
	MOVW       R16, R28
	SUBI       R16, 196
	SBCI       R17, 255
	LDI        R27, #lo_addr(?lstr8_Skywire_AVR+0)
	MOV        R4, R27
	LDI        R27, hi_addr(?lstr8_Skywire_AVR+0)
	MOV        R5, R27
	MOVW       R2, R16
	CALL       _strcat+0
;Skywire_AVR.c,165 :: 		at_cmd_double( cmd_content, reply_content );
	MOVW       R18, R28
	SUBI       R18, 196
	SBCI       R19, 255
	MOVW       R16, R28
	SUBI       R16, 226
	SBCI       R17, 255
	MOVW       R4, R18
	MOVW       R2, R16
	CALL       _at_cmd_double+0
;Skywire_AVR.c,166 :: 		}
L_end_reply_to_caller:
	POP        R7
	POP        R6
	POP        R5
	POP        R4
	POP        R3
	POP        R2
	SUBI       R28, 197
	SBCI       R29, 254
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _reply_to_caller

_main:
	LDI        R27, 255
	OUT        SPL+0, R27
	LDI        R27, 0
	OUT        SPL+1, R27

;Skywire_AVR.c,169 :: 		void main()
;Skywire_AVR.c,171 :: 		measure_f = false;
	PUSH       R2
	PUSH       R3
	PUSH       R4
	PUSH       R5
	PUSH       R6
	PUSH       R7
	PUSH       R8
	PUSH       R9
	LDI        R27, 0
	STS        _measure_f+0, R27
;Skywire_AVR.c,172 :: 		system_init();
	CALL       _system_init+0
;Skywire_AVR.c,173 :: 		skywire_power_on();
	CALL       _skywire_power_on+0
;Skywire_AVR.c,174 :: 		at_init( rsp_handler, UART1_Write, buffer, sizeof( buffer ) );
	LDI        R27, 0
	MOV        R8, R27
	LDI        R27, 1
	MOV        R9, R27
	LDI        R27, #lo_addr(_buffer+0)
	MOV        R6, R27
	LDI        R27, hi_addr(_buffer+0)
	MOV        R7, R27
	LDI        R27, #lo_addr(_UART1_Write+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_UART1_Write+0)
	MOV        R5, R27
	LDI        R27, #lo_addr(_rsp_handler+0)
	MOV        R2, R27
	LDI        R27, hi_addr(_rsp_handler+0)
	MOV        R3, R27
	CALL       _at_init+0
;Skywire_AVR.c,175 :: 		at_cmd_save( "+CLCC", 1000, NULL, NULL, NULL, callerid_handler );           // Assigning caller ID handler
	CLR        R8
	CLR        R9
	LDI        R27, 232
	MOV        R4, R27
	LDI        R27, 3
	MOV        R5, R27
	LDI        R27, 0
	MOV        R6, R27
	MOV        R7, R27
	LDI        R27, #lo_addr(?lstr9_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr9_Skywire_AVR+0)
	MOV        R3, R27
	LDI        R27, hi_addr(_callerid_handler+0)
	PUSH       R27
	LDI        R27, #lo_addr(_callerid_handler+0)
	PUSH       R27
	LDI        R27, 0
	PUSH       R27
	PUSH       R27
	LDI        R27, 0
	PUSH       R27
	PUSH       R27
	CALL       _at_cmd_save+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 6
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Skywire_AVR.c,176 :: 		at_cmd_single( "AT" );
	LDI        R27, #lo_addr(?lstr10_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr10_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _at_cmd_single+0
;Skywire_AVR.c,177 :: 		at_cmd_single( "AT" );
	LDI        R27, #lo_addr(?lstr11_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr11_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _at_cmd_single+0
;Skywire_AVR.c,178 :: 		at_cmd_single( "AT" );
	LDI        R27, #lo_addr(?lstr12_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr12_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _at_cmd_single+0
;Skywire_AVR.c,179 :: 		at_cmd_single( "AT+CSCS=\"GSM\"" );
	LDI        R27, #lo_addr(?lstr13_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr13_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _at_cmd_single+0
;Skywire_AVR.c,180 :: 		at_cmd_single( "AT+CMGF=1" );
	LDI        R27, #lo_addr(?lstr14_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr14_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _at_cmd_single+0
;Skywire_AVR.c,182 :: 		while( 1 )
L_main8:
;Skywire_AVR.c,184 :: 		at_process();
	CALL       _at_process+0
;Skywire_AVR.c,186 :: 		if( measure_f )
	LDS        R16, _measure_f+0
	TST        R16
	BRNE       L__main24
	JMP        L_main10
L__main24:
;Skywire_AVR.c,188 :: 		measure_temp();
	CALL       _measure_temp+0
;Skywire_AVR.c,189 :: 		at_cmd_single( "AT+CLCC" );
	LDI        R27, #lo_addr(?lstr15_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr15_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _at_cmd_single+0
;Skywire_AVR.c,190 :: 		at_cmd_single( "ATH" );
	LDI        R27, #lo_addr(?lstr16_Skywire_AVR+0)
	MOV        R2, R27
	LDI        R27, hi_addr(?lstr16_Skywire_AVR+0)
	MOV        R3, R27
	CALL       _at_cmd_single+0
;Skywire_AVR.c,191 :: 		Delay_ms( 2000 );                                                   // Delay needed after ATH
	LDI        R18, 82
	LDI        R17, 43
	LDI        R16, 0
L_main11:
	DEC        R16
	BRNE       L_main11
	DEC        R17
	BRNE       L_main11
	DEC        R18
	BRNE       L_main11
	NOP
	NOP
	NOP
	NOP
;Skywire_AVR.c,192 :: 		reply_to_caller();
	CALL       _reply_to_caller+0
;Skywire_AVR.c,193 :: 		measure_f = false;
	LDI        R27, 0
	STS        _measure_f+0, R27
;Skywire_AVR.c,194 :: 		}
L_main10:
;Skywire_AVR.c,195 :: 		}
	JMP        L_main8
;Skywire_AVR.c,196 :: 		}
L_end_main:
	POP        R9
	POP        R8
	POP        R7
	POP        R6
	POP        R5
	POP        R4
	POP        R3
	POP        R2
L__main_end_loop:
	JMP        L__main_end_loop
; end of _main

_uart_rx_ISR:
	PUSH       R30
	PUSH       R31
	PUSH       R27
	IN         R27, SREG+0
	PUSH       R27

;Skywire_AVR.c,201 :: 		void uart_rx_ISR() iv IVT_ADDR_USART__RXC ics ICS_AUTO
;Skywire_AVR.c,203 :: 		char tmp = UART_Read();
	PUSH       R2
	CALL       _UART_Read+0
;Skywire_AVR.c,204 :: 		at_rx( tmp );
	MOV        R2, R16
	CALL       _at_rx+0
;Skywire_AVR.c,205 :: 		}
L_end_uart_rx_ISR:
	POP        R2
	POP        R27
	OUT        SREG+0, R27
	POP        R27
	POP        R31
	POP        R30
	RETI
; end of _uart_rx_ISR

_Timer1Overflow_ISR:
	PUSH       R30
	PUSH       R31
	PUSH       R27
	IN         R27, SREG+0
	PUSH       R27

;Skywire_AVR.c,207 :: 		void Timer1Overflow_ISR() org IVT_ADDR_TIMER1_COMPA
;Skywire_AVR.c,209 :: 		at_tick();
	CALL       _at_tick+0
;Skywire_AVR.c,210 :: 		}
L_end_Timer1Overflow_ISR:
	POP        R27
	OUT        SREG+0, R27
	POP        R27
	POP        R31
	POP        R30
	RETI
; end of _Timer1Overflow_ISR
